// ***************************************************************
// October, 2001
// Team Arena spawn models by nakedape.
// for use ONLY in Quake III Team Arena.
// one stage in each shader uses a texture only found in TA
// ***************************************************************
// these "nkd_spawn" models are remakes of the id "spawn" models.
// ***************************************************************
// rgbGen has been changed from "Vertex" to "lightingDiffuse"
// to allow proper lighting of the models when they are attatched
// to a func_* (door, plat, rotate, pendulum, etc) via the "model2" key.
// you can then give the func_* entity the proper keys to have them appear
// only in certain gametypes. (eg: notta, notq3a, notcctf, notq3ayescctf)
// these models MUST be present in the pk3 because "model2" does not *bake*
// the md3 into the bsp like the "model" key does.
// "lightingDiffuse" is used on dynamic models like items and players.
// 
// thanks to: Johnny Law, Karloff, and Paul Jaquays
// ****************************************************************

models/mapobjects/nkd_taspawn/nkd_taspawn_b
{
	nomipmaps
	cull disable
	{
		clampmap models/mapobjects/spawn/spawn3_b.tga
		rgbGen identity
		tcMod rotate 222
	}
	{
		clampmap models/mapobjects/nkd_taspawn/nkd_taspawn_b2.tga
		blendfunc blend
		rgbGen lightingDiffuse
	}
}

models/mapobjects/nkd_taspawn/nkd_taspawn_n
{
	nomipmaps
	cull disable
	{
		clampmap models/mapobjects/nkd_taspawn/nkd_taspawn_n.tga
		rgbGen identity
		tcMod rotate 222
	}
	{
		clampmap models/mapobjects/nkd_taspawn/nkd_taspawn_n2.tga
		blendfunc blend
		rgbGen lightingDiffuse
	}
}

models/mapobjects/nkd_taspawn/nkd_taspawn_r
{
	nomipmaps
	cull disable
	{
		clampmap models/mapobjects/spawn/spawn3_r.tga
		rgbGen identity
		tcMod rotate 222
	}
	{
		clampmap models/mapobjects/nkd_taspawn/nkd_taspawn_r2.tga
		blendfunc blend
		rgbGen lightingDiffuse
	}
}